//
//  SKKey.swift
//  1SK
//
//  Created by tuyenvx on 9/30/20.
//

import Foundation

struct SKKey {
    static let keyword = "keyword"
    static let slug = "slug"
    static let categorySlug = "category_slug"
    static let tagSlug = "tag_slug"
    static let file = "file"
    static let uuid = "uuid"
    static let profileID = "profile_id"
    static let name = "name"
    static let note = "note"
    static let url = "url"
    static let folderID = "folder_id"
    static let type = "type"
    static let pageClient = "page_client"
    static let page = "page"
    static let perpage = "per_page"
    static let limit = "limit"
    static let topicSlug = "topic_slug"
    static let categoryID = "category_id"
    static let blogSlug = "blog_slug"
    static let videoID = "video_id"
    static let fullName = "fullName"
    static let skype = "skype"
    static let avatar = "avatar"
    static let birthday = "birthday"
    static let birthDay = "birthDay"
    static let gender = "gender"
    static let typePage = "typePage"
    static let phone = "phone"
    static let height = "height"
    static let weight = "weight"
    static let blood = "blood"
    static let relation = "relation"
    static let intensityActivity = "intensity_activity"
    static let email = "email"
    static let deviceToken = "device_token"
    static let userID = "user_id"
    static let notifyID = "notify_id"
    static let mobile = "mobile"
    static let deviceType = "device_type"
    static let title = "title"
    static let content = "content"
    static let permissionId = "permission_id"
    static let status = "status"
    static let activityId = "activity_id"
    static let location = "location"
    static let media = "media"
    static let infos = "infos"
    static let link = "link"
    static let order = "order"
    static let value = "value"
    static let createAt = "create_at"
    static let sort = "sort"
    static let user = "user"
    static let postID = "post_id"
    static let activitySubjectId = "activity_subject_id"
    static let wayLength = "way_length"
    static let speed = "speed"
    static let totalTime = "total_time"
    static let startTime = "start_time"
    static let address = "address"
    static let averageHeartRate = "average_heart_rate"
    static let caloriesBurned = "calories_burned"
    static let description = "description"
    static let imageUrl = "image_url"
    static let subjectID = "subject_id"
    static let objectUUID = "objectUuid"
    static let publish = "publish"
    static let imageLink = "imageLink"
    static let relatedObjectId = "relatedObjectId"
    static let currentPage = "currentPage"
    static let rowsPerPage = "rowsPerPage"
    static let uuids = "uuids"
    static let permission = "permission"
    static let typeSubject = "type_subject"
    static let userUUID = "userUuid"
    static let createAtPHP = "createdAtPHP"
    static let createdAt = "created_at"
    static let attributes = "attributes"
    static let objectID = "object_id"
    static let commentID = "comment_id"
    static let time = "time"
    static let levelID = "level_id"
    static let typeID = "type_id"
    static let subject = "subject"
    static let level = "level"
    static let numberOfLike = "numberOfLike"
    static let isLike = "isLike"
    static let details = "details"
    
    // BLE Connection
    static let connectedDevice = "ConnectedDevice"
    static let isConnected = "IsConnected"
    static let otherDevice = "OtherDevice"
    static let linkDevice = "LinkDevice" // Any device that has been linked
}
